Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1122241 - Review Request: nodejs-stream-to-array - Concatenate a readable stream's data into a single array
Summary: Review Request: nodejs-stream-to-array - Concatenate a readable stream's data...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1122212
Blocks: nodejs-reviews 1122228
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:06 UTC by Ralph Bean
Modified: 2014-08-15 02:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-25 15:22:36 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:06:24 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-stream-to-array.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-stream-to-array-2.0.0-1.fc20.src.rpm

Description:
Concatenate a readable stream's data into a single array.

Comment 1 Parag AN(पराग) 2014-07-24 05:26:04 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-stream-to-array.noarch: W: only-non-binary-in-usr-lib
nodejs-stream-to-array.noarch: W: dangling-symlink /usr/lib/node_modules/stream-to-array/node_modules/bluebird /usr/lib/node_modules/bluebird
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :94cd4d27635f40d9994b6269d72c6da23a16d354bafb8d4dc9d2a5b61eda1100
upstream tarball :94cd4d27635f40d9994b6269d72c6da23a16d354bafb8d4dc9d2a5b61eda1100

+ License "MIT" is valid.

+ rest looks following packaging guidelines.

Suggestions:
1) Ask upstream to include license text in source tarball.

APPROVED.

Comment 2 Ralph Bean 2014-07-24 16:27:17 UTC
New Package SCM Request
=======================
Package Name: nodejs-stream-to-array
Short Description: Concatenate a readable stream's data into a single array
Upstream URL: https://npmjs.org/package/stream-to-array
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-24 18:42:56 UTC
Git done (by process-git-requests).

Comment 4 Ralph Bean 2014-07-25 15:22:36 UTC
Built in rawhide.

Comment 5 Fedora Update System 2014-07-25 16:23:18 UTC
nodejs-stream-to-array-2.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-stream-to-array-2.0.0-1.fc20

Comment 6 Fedora Update System 2014-07-25 16:23:27 UTC
nodejs-stream-to-array-2.0.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-stream-to-array-2.0.0-1.fc19

Comment 7 Ralph Bean 2014-07-25 16:40:00 UTC
Buildroot overrides have been submitted.

Comment 8 Fedora Update System 2014-08-15 02:35:42 UTC
nodejs-stream-to-array-2.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 9 Fedora Update System 2014-08-15 02:51:23 UTC
nodejs-stream-to-array-2.0.0-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.